scala.RandomAccessSeq
trait MutableProjection

[source: `scala/RandomAccessSeq.scala`]

`` `trait` MutableProjection[A]
  `extends` Projection[A]`with` Mutable[A]

Direct Known Subclasses:
  Array.Projection, Buffer.Projection

Method Summary
`override def` | force : Mutable[A] convert to a copied strict collection
`override def` | projection : MutableProjection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from Mutable
update (abstract), readOnly, drop, take, slice, reverse

Methods inherited from Projection
map, append

Methods inherited from RandomAccessSeq
elements, patch, ++, toStream, safeIs

Methods inherited from Projection
flatMap, takeWhile, filter

Methods inherited from Seq
length (abstract), lengthCompare, size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
apply (abstract), compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` force : Mutable[A]

  convert to a copied strict collection

Overrides
  Projection.force

`override` `def` projection : MutableProjection[A]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Projection.projection, Mutable.projection